------------------------------------------------------------------------------------
--Name:  	Thanksgiving3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-10-26
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(68, 49)
CppScriptMgr:SetViewScale(230)
local Player_1 = CppScriptMgr:AddPlayer(348, 70, 47, "BloodDemon", 0, 0)
Player_1:SetDir(1)
local Player_2 = CppScriptMgr:AddSimplePlayer(1059690, 67, 50, "Warsi", 0, 0)
Player_2:SetDir(5)
Player_2:SetArmor(194215, 0, 1)
Player_2:SetHair(101, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Just surrender, Walsi!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Surrender, and I will make you the greatest chief!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Event Susanna cannot be your rival.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("I cannot surrender to a devil.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("You are asking for the doom!", 1500)
CppScriptMgr:WaitMilSec(1390)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(110)
CppScriptMgr:ShakeScrEffect(1)
local Effect_4 = CppScriptMgr:AddEffect("lighbo", 67, 50, 33, 1, 1, 1)
local Effect_1 = CppScriptMgr:AddEffect("threedragon03", 67, 50, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_2 = CppScriptMgr:AddEffect("swordcaromaccept_coat021", 67, 50, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_3 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 67, 50, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(70)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(930)
local Effect_5 = CppScriptMgr:AddEffect("xidag_bafi", 70, 47, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(483)
local Effect_6 = CppScriptMgr:AddEffect("bombarrow", 70, 47, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("He got away again!", 1500)
CppScriptMgr:WaitMilSec(1480)